"use strict";
const EntityMetadataNotFound_1 = require("../error/EntityMetadataNotFound");
/**
 * Array for the entity metadatas.
 */
class EntityMetadataCollection extends Array {
    // -------------------------------------------------------------------------
    // Public Methods
    // -------------------------------------------------------------------------
    hasTarget(target) {
        return !!this.find(metadata => metadata.target === target || (typeof target === "string" && metadata.targetName === target));
    }
    findByTarget(target) {
        const metadata = this.find(metadata => metadata.target === target || (typeof target === "string" && metadata.targetName === target));
        if (!metadata)
            throw new EntityMetadataNotFound_1.EntityMetadataNotFound(target);
        return metadata;
    }
    findByName(name) {
        const metadata = this.find(metadata => metadata.name === name);
        if (!metadata)
            throw new EntityMetadataNotFound_1.EntityMetadataNotFound(name);
        return metadata;
    }
}
exports.EntityMetadataCollection = EntityMetadataCollection;
//# sourceMappingURL=EntityMetadataCollection.js.map