"use strict";
const TreeRepository_1 = require("./TreeRepository");
const Repository_1 = require("./Repository");
const ReactiveRepository_1 = require("./ReactiveRepository");
const ReactiveTreeRepository_1 = require("./ReactiveTreeRepository");
/**
 */
class RepositoryFactory {
    // -------------------------------------------------------------------------
    // Public Methods
    // -------------------------------------------------------------------------
    createRepository(connection, broadcaster, allMetadatas, metadata) {
        return new Repository_1.Repository(connection, broadcaster, allMetadatas, metadata);
    }
    createTreeRepository(connection, broadcaster, allMetadatas, metadata) {
        return new TreeRepository_1.TreeRepository(connection, broadcaster, allMetadatas, metadata);
    }
    createReactiveRepository(repository) {
        return new ReactiveRepository_1.ReactiveRepository(repository);
    }
    createReactiveTreeRepository(repository) {
        return new ReactiveTreeRepository_1.ReactiveTreeRepository(repository);
    }
}
exports.RepositoryFactory = RepositoryFactory;
//# sourceMappingURL=RepositoryFactory.js.map